Subject: bug#24338: 24.5; compile-start has /bin/sh hardcoded for remote executions.

From: Michael Albinus <[email-masked]>
Date: Tue, 30 Aug 2016 17:42:34 +0200

Jürgen A. Erhard <[email-masked]> writes:

> Title says all, it checks with file-remote-p and the hardcodes /bin/sh.
> It should ideally check the login shell of the remote system or... but
> that all needs knowledge it's not supposed to have, I guess.  Hmm, but
> file-remote-p does use a handler system.  So... have to ponder (if it's
> not completely changed in 25)
>
> At least document it, and please give a way to override in the "Use
> shell-file-name, I know what I'm doing".

`shell-file-name' is often wrong for remote systems; there could be
another OS, for example. "/bin/sh" is POSIX and can be assumed to exist.

How shall one know the remote login shell in advance?

And, in order to find a proper solution, maybe you could show a use case
where "/bin/sh" is simply wrong?

Best regards, Michael.